## redis 4.0.6

=== debian/changelog ===
redis (5:4.0.6-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Dec 2017 13:00:47 +0000

redis (5:4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Use "metapackage" over "meta-package".
  * debian/patches:
    - Drop 0008-CVE-2017-15047-Fix-buffer-overflows-occurring-readin.
    - Refresh.

 -- Chris Lamb <lamby@debian.org>  Sat, 02 Dec 2017 18:54:58 +0000

redis (4:4.0.2-9) unstable; urgency=medium

  * Also update aof.c for MAXPATHLEN issues. (Closes: #881684)

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Nov 2017 10:21:37 +0900

redis (4:4.0.2-8) unstable; urgency=medium

  * Use get_current_dir_name over PATHMAX, etc. (Closes: #881684)
  * Don't rely on taskset existing for kFreeBSD-*. (Closes: #881683)
  * Drop "memory efficiency" tests on advice from upstream. (Closes: #881682)
  * Correct BSD-3-clause -> BSD-2-clause for Marc Alexander Lehmann's
    attribution in debian/copyright.
  * Let package be bin-NMUable.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Nov 2017 03:50:00 +0900

redis (4:4.0.2-7) unstable; urgency=medium

  * Add a "redis" metapackage. (Closes: #876475)
  * Drop conditionally exporting FORCE_LIBC_MALLOC; upstreamed since 2.6.0-1.

 -- Chris Lamb <lamby@debian.org>  Sun, 12 Nov 2017 08:54:24 +0000

redis (4:4.0.2-6) unstable; urgency=medium

  * Correct locations of redis-sentinel pidfiles. Thanks to Nicolas Payart for
    the patch. (Closes: #880980)

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Nov 2017 22:02:19 +0000

redis (4:4.0.2-5) unstable; urgency=medium

  * CVE-2017-15047: Replace existing patch with upstream-blessed version that
    covers another case. (Closes: #878076)

 -- Chris Lamb <lamby@debian.org>  Tue, 31 Oct 2017 11:13:40 +0100

redis (4:4.0.2-4) unstable; urgency=medium

  * CVE-2017-15047: Add input validity checking to redis cluster config slot
    numbers. (Closes: #878076)
  * Drop debian/bin/generate-parts script now we aren't calling it.
  * Correct Bash-esque in NEWS.
  * Upstream are not providing signed tarballs, so ignore the
    "debian-watch-may-check-gpg-signature" Lintian tag,
  * Drop trailing whitespace in debian/changelog.
  * Use HTTPS URI in debian/watch.

 -- Chris Lamb <lamby@debian.org>  Mon, 30 Oct 2017 10:32:04 +0000

redis (4:4.0.2-3) unstable; urgency=medium

  * Drop Debian-specific support for
    /etc/redis/redis-{server,sentinel}.{pre,post}-{up,down}.d and remove them
    if unchanged.
  * Include systemd redis-server@.service and redis-sentinel@.service template
    files to easily run multiple instances. (Closes: #877702)
  * Patch redis.conf and sentinel.conf with quilt instead of maintaining our
    own versions under debian/.
  * Refresh all patches.
  * Bump Standards-Version to 4.1.1.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Oct 2017 14:54:27 -0400

redis (4:4.0.2-2) unstable; urgency=medium

  * Update 0004-redis-check-rdb test to ensure that redis.rdb exists before
    testing it.

 -- Chris Lamb <lamby@debian.org>  Mon, 25 Sep 2017 10:16:18 +0100

redis (4:4.0.2-1) unstable; urgency=medium

  * New upstream release ("Upgrade urgency HIGH: Several potentially critical
    bugs fixed.")
  * Bump Standards-Version to 4.1.0.
  * Drop Build-Depends on dh-systemd (>= 1.5).

 -- Chris Lamb <lamby@debian.org>  Sun, 24 Sep 2017 19:46:10 +0100
