## redis 4.0.7

=== debian/changelog ===
redis (5:4.0.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 29 Jan 2018 16:45:14 +0000

redis (5:4.0.7-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/gngqHoh-kRM>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 24 Jan 2018 22:10:06 +1100

redis (5:4.0.6-5) unstable; urgency=medium

  * Update redis-sentinel's symlink to usr/bin/redis-check-rdb to match
    redis-server. This avoids a dangling symlink (and thus a broken package) if
    redis-server is not installed. (Closes: #884321)
  * Move to debhelper compat level 11.
    - Drop reference to --with=systemd - systemd-sequence is no longer provided
      in compat >= 11.
  * Use https URI for copyright format specification in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jan 2018 11:21:11 +1100

redis (5:4.0.6-4) unstable; urgency=medium

  * Re-add procps to Build-Depends. (Closes: #887075)

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jan 2018 19:01:56 +0530

redis (5:4.0.6-3) unstable; urgency=medium

  * Use --clients argument to runtest to force single-threaded operation over
    using taskset.
  * Bump Standards-Version to 4.1.3.

 -- Chris Lamb <lamby@debian.org>  Sat, 13 Jan 2018 12:55:27 +0530

redis (5:4.0.6-2) unstable; urgency=medium

  * Replace redis-sentinel's main dependency with redis-tools from
    redis-server, necessarily moving the creating/deletion of the "redis" user
    and associated data and log directories to redis-tools. (Closes: #884321)
  * Add stub manpages for redis-sentinel, redis-check-aof and redis-check-rdb.
  * Bump Standards-Version to 4.1.2.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Dec 2017 10:08:30 +0000

redis (5:4.0.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 10 Dec 2017 10:19:12 +0000

redis (4:4.0.2-9~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 29 Nov 2017 15:37:35 +0900

redis (4:4.0.2-6~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Nov 2017 22:11:38 +0000

redis (4:4.0.2-5~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 05 Nov 2017 09:22:19 +0000

redis (4:4.0.2-3~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - Relax debhelper Build-Depends to become satisfiable in
      stretch-backports.
  * Update debian/gbp.conf to reflect backports debian-branch.

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Oct 2017 08:26:05 -0400

redis (4:4.0.2-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 18 Oct 2017 07:58:46 -0400

redis (4:4.0.2-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Sep 2017 10:03:10 +0100

redis (4:4.0.1-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Aug 2017 10:35:20 -0400

redis (3:3.2.9-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 26 Jul 2017 19:53:36 +0100
