=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 10.9.1),
+ debhelper (>= 10),
  dpkg-dev (>= 1.17.14),
  libjemalloc-dev [linux-any],
  procps <!nocheck>,
  tcl <!nocheck>,
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://redis.io/
 Vcs-Git: https://github.com/lamby/pkg-redis.git
 Vcs-Browser: https://github.com/lamby/pkg-redis
@@ -31,7 +31,6 @@
 Package: redis-server
 Architecture: any
 Depends:
- adduser,
  lsb-base (>= 3.2-14),
  redis-tools (= ${binary:Version}),
  ${misc:Depends},
@@ -47,7 +46,8 @@
 Architecture: any
 Depends:
  ${misc:Depends},
- ${shlibs:Depends}
+ ${shlibs:Depends},
+ adduser,
 Suggests:
  ruby-redis
 Replaces:
@@ -65,7 +65,7 @@
 Architecture: any
 Depends:
  lsb-base (>= 3.2-14),
- redis-server (= ${binary:Version}),
+ redis-tools (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends}
 Description: Persistent key-value database with network interface (monitoring)
