## redis 4.0.8

=== debian/changelog ===
redis (5:4.0.8-2) unstable; urgency=medium

  * Also listen on ::1 for IPv6 by default. (Closes: #891432)

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Feb 2018 14:59:55 +0000

redis (5:4.0.8-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/FGplxMEGEMo>
  * Update lintian overrides after rename of
    debian-watch-may-check-gpg-signature →
    debian-watch-does-not-check-gpg-signature.
  * Drop "recursive" argument to chown in postinst script to prevent hardlink
    vulnerability.

 -- Chris Lamb <lamby@debian.org>  Mon, 05 Feb 2018 17:09:44 +0000
