=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: redis
 Section: database
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  dpkg-dev (>= 1.17.14),
  libjemalloc-dev [linux-any],
  procps <!nocheck>,
