## redis 4.0.11

=== debian/changelog ===
redis (5:4.0.11-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 09 Aug 2018 08:50:55 +0200

redis (5:4.0.11-2) unstable; urgency=medium

  * Revert "Move to debhelper-compat (= 11) in Build-Depends." as dak will
    REJECT with "missing-build-dependency debhelper".

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Aug 2018 11:42:41 +0800

redis (5:4.0.11-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/aXusvS8da8g>
  * Bump Standards-Version to 4.2.0.
  * Move to debhelper-compat (= 11) in Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Aug 2018 11:42:38 +0800

redis (5:4.0.10-2) unstable; urgency=medium

  [ Daniel Shahaf ]
  * redis-benchmark(1): Fix default of -n argument. (Closes: #903044)

  [ Chris Lamb ]
  * Add CVE entries to (released) changelog entry.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Thu, 05 Jul 2018 22:14:45 +0200

redis (5:4.0.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Jun 2018 08:44:02 +0200

redis (5:4.0.10-1) unstable; urgency=medium

  * CVE-2018-11218, CVE-2018-11219: New upstream security release.
    <https://github.com/antirez/redis/issues/5017> for more information.
    (Closes: #901495)

 -- Chris Lamb <lamby@debian.org>  Thu, 14 Jun 2018 08:37:09 +0200

redis (5:4.0.9-4) unstable; urgency=medium

  * Update Vcs-* headers to point to salsa.debian.org.
  * Move to HTTPS Homepage URI.
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Jun 2018 20:11:35 +0100

redis (5:4.0.9-3) unstable; urgency=medium

  * Make /var/log/redis, etc. owned by root:adm, not root:root. Thanks to
    Thomas Goirand. (Closes: #900496)

 -- Chris Lamb <lamby@debian.org>  Fri, 01 Jun 2018 08:56:48 +0100

redis (5:4.0.9-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 23 May 2018 20:12:11 +0100

redis (5:4.0.9-2) unstable; urgency=medium

  * Ignore test failures on problematic archs.
  * Bump Standards-Version to 4.1.4.

 -- Chris Lamb <lamby@debian.org>  Tue, 08 May 2018 23:08:36 -0700
