=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 endif
 
 %:
-	dh $@ --with systemd
+	dh $@
 
 override_dh_auto_install:
 	debian/bin/generate-systemd-service-files
@@ -23,13 +23,17 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq ($(wildcard /usr/bin/taskset),)
 	# Avoid race conditions in upstream testsuite. (#830500)
-	taskset --cpu-list 0 ./runtest
+ifneq (,$(findstring $(DEB_BUILD_ARCH),"mipsel"))
+	# Ignore test failures on problematic archs
+	./runtest --clients 1 || true
+else
+	./runtest --clients 1
+endif
 	# Sentinel integration tests use too many timers to be reliable or
 	# meaningful.
-	taskset --cpu-list 0 ./runtest-sentinel || true
-endif
+	./runtest-cluster || true
+	./runtest-sentinel || true
 endif
 
 override_dh_auto_clean:
