## redis 5.0.3

=== debian/changelog ===
redis (5:5.0.3-3~bpo9+2) stretch-backports; urgency=medium

  * Revert to debhelper level 11 for backport otherwise we Pre-Depend on an
    unsatisfiable version of init-system-helpers. (Closes: #918266)

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Jan 2019 21:28:20 +0100

redis (5:5.0.3-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Jan 2019 12:08:03 +0100

redis (5:5.0.3-3) unstable; urgency=medium

  * Fix FTBFS on hurd-i386 by updating patch to aof.c to avoid MAXPATHLEN
    reference.
  * debian/control:
    - Add missing Pre-Depends on ${misc:Pre-Depends}.
    - Bump Standards-Version to 4.3.0.
  * Bump debhelper compat level to 12.

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Jan 2019 17:47:28 +0000

redis (5:5.0.3-2) unstable; urgency=medium

  * Pass --no-as-needed to ensure linking to the Lua libraries on systems with
    --as-needed as the default. (Closes: #916831)

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Dec 2018 13:18:37 +0000

redis (5:5.0.3-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 21 Dec 2018 15:37:38 +0000

redis (5:5.0.3-1) unstable; urgency=medium

  * New upstream release.
    - Drop 0009-Don-t-treat-unsupported-protocols-as-fatal-errors.patch as it
      was merged upstream.
    - Refresh all patches.

 -- Chris Lamb <lamby@debian.org>  Tue, 18 Dec 2018 23:48:16 +0000

redis (5:5.0.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 29 Nov 2018 11:07:53 +0100

redis (5:5.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Nov 2018 19:04:10 +0100

redis (5:5.0.1-2) unstable; urgency=medium

  * Refresh patches.
  * Ensure that lack of IPv6 support does not prevent Redis from starting on
    Debian where we bind to the ::1 interface by default. (Closes: #900284,
    #914354)

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Nov 2018 18:03:53 +0100

redis (5:5.0.1-1~bpo9+2) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Revert "Don't use the system hiredis for stretch-backports"; hiredis 0.14.0
    is now in stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 18 Nov 2018 17:51:49 +0100

redis (5:5.0.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Wed, 14 Nov 2018 08:32:53 +0100

redis (5:5.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Ensure that Debian-supplied Lua libraries are available using "require"
    during Lua scripting to prevent an issue where we could not use the (eg.)
    cjson library anymore library anymore. This was a regression introduced in
    5:5.0~rc4-3. Thanks to Nicolas Le Manchet <nicolas@lemanchet.fr> for the
    report and testcase. (Closes: #913185)
  * Refer to /run directly in .service files; /var/run is now merely a symlink
    pointing to /run and thus it is now considered best practice to use /run
    directly.
  * debian/rules:
    - Document why we run make in the deps/lua/src directory.
    - Add documentation for LUA_LIBS_{DEBIAN,BUNDLED}.
    - Call $(MAKE) instead of "make".
    - Re-order targets to match usual order.

 -- Chris Lamb <lamby@debian.org>  Sun, 11 Nov 2018 20:09:51 +0100

redis (5:5.0.0-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - Don't use the system hiredis for stretch-backports; hiredis is only at
      version 0.13.3-2 in stretch.

 -- Chris Lamb <lamby@debian.org>  Tue, 23 Oct 2018 22:50:26 -0400

redis (5:5.0.0-2) unstable; urgency=medium

  * Update our patch to sentinel.conf to ensure the correct runtime PID file
    location. (Closes: #911407)
  * Listen on ::1 interfaces too for redis-sentinel to match redis-server.
  * Also run the new "LOLWUT" command in the redis-cli autopkgtest.

 -- Chris Lamb <lamby@debian.org>  Fri, 19 Oct 2018 22:36:40 -0400

redis (5:5.0.0-1) unstable; urgency=medium

  * New upstream stable release to unstable.
    <https://groups.google.com/forum/#!topic/redis-db/l0OXDAlwosU>
  * Refresh patches.
  * Update Vcs-Git.

 -- Chris Lamb <lamby@debian.org>  Thu, 18 Oct 2018 21:56:02 -0400

redis (5:5.0~rc5-2) experimental; urgency=medium

  * Use the system hiredis now that #907259 has landed. (Closes: #907258)

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Oct 2018 19:54:17 +0100

redis (5:5.0~rc5-1) experimental; urgency=medium

  * New upstream release.
    - Drop 0004-SOURCE_DATE_EPOCH.patch; merged upstream.
  * debian/watch: Use releases from <https://github.com/antirez/redis/releases>
    (not Git) to find RC/beta releases, etc.

 -- Chris Lamb <lamby@debian.org>  Mon, 24 Sep 2018 21:24:48 +0100

redis (5:5.0~rc4-4) experimental; urgency=medium

  * Stop playing whack-a-mole with nondeterminstic testsuite and run with
    "|| true" on all architectures. (Closes: #908540)
  * Drop ${shlibs:Depends} substvars on "Architecture: any" binary packages.
  * Add upstream URIs for patches to support non-embedded jemalloc and Lua.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Sat, 15 Sep 2018 19:44:35 +0100

redis (5:5.0~rc4-3) experimental; urgency=medium

  * Add support for (and use) a USE_SYSTEM_LUA flag. (Closes: #901669)
  * Add support for (and use) a USE_SYSTEM_JEMALLOC flag.
  * Refresh 0003-dpkg-buildflags patch.
  * Append "-b debian/experimental" to Vcs-Git line to fix "unpushed changes"
    vcswatch.cgi false-positives.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Aug 2018 14:37:25 +0200

redis (5:5.0~rc4-2) experimental; urgency=medium

  * Drop a non-determinstic "dump" test.

 -- Chris Lamb <lamby@debian.org>  Tue, 07 Aug 2018 11:04:16 +0800

redis (5:5.0~rc4-1) experimental; urgency=medium

  * New upstream RC release.
    <https://groups.google.com/forum/#!topic/redis-db/aXusvS8da8g>

