=== debian/control ===
--- 
+++ 
@@ -3,12 +3,16 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  dpkg-dev (>= 1.17.14),
+ libhiredis-dev (>= 0.14.0),
  libjemalloc-dev [linux-any],
+ liblua5.1-dev,
+ lua-bitop-dev,
+ lua-cjson-dev,
  procps <!nocheck>,
  tcl <!nocheck>,
-Standards-Version: 4.2.0
+Standards-Version: 4.3.0
 Homepage: https://redis.io/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
@@ -30,11 +34,11 @@
 
 Package: redis-sentinel
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  lsb-base (>= 3.2-14),
  redis-tools (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Persistent key-value database with network interface (monitoring)
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
@@ -44,11 +48,11 @@
 
 Package: redis-server
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends:
  lsb-base (>= 3.2-14),
  redis-tools (= ${binary:Version}),
  ${misc:Depends},
- ${shlibs:Depends},
 Description: Persistent key-value database with network interface
  Redis is a key-value database in a similar vein to memcache but the dataset
  is non-volatile. Redis additionally provides native support for atomically
