## redis 5.0.3.2

=== debian/changelog ===
redis (5:5.0.3.2-1+eagle) unstable; urgency=medium

  * update

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Apr 2021 10:53:46 +0800

redis (5:5.0.3.1-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * update to debian/5.0.3-4+deb10u2

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 26 Mar 2021 15:51:24 +0800

redis (5:5.0.3-4+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix integer overflow in embedded lua_struct.c (CVE-2020-14147)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 19 Jul 2020 14:29:02 +0200

redis (5:5.0.3-4+deb10u1) buster-security; urgency=high

  * CVE-2019-10192: Fix two heap buffer overflows in the Hyperloglog
    functionality. (Closes: #931625)
  * CVE-2019-10193: Fix a stack buffer overflow vulnerability in the
    Hyperloglog functionality. (Closes: #931625)

 -- Chris Lamb <lamby@debian.org>  Wed, 10 Jul 2019 14:50:30 -0300

redis (5:5.0.3-4) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix cross build failure by building the non-bundled Lua libraries via
    dh_auto_build. (Closes: #919682)

 -- Chris Lamb <lamby@debian.org>  Sun, 20 Jan 2019 22:23:41 +0000
