## redis 5.0.5

=== debian/changelog ===
redis (5:5.0.5-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:08:13 +0000

redis (5:5.0.5-2) unstable; urgency=medium

  * Sourceful upload to unstable to ensure testing migration.
  * Bump Standards-Version to 4.4.0.
  * Don't build release tags in gitlab-ci.yml.

 -- Chris Lamb <lamby@debian.org>  Sat, 20 Jul 2019 17:14:37 -0300

redis (5:5.0.5-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/jSAtf64lIW4>

 -- Chris Lamb <lamby@debian.org>  Wed, 22 May 2019 10:03:21 +0100

redis (5:5.0.4-1) unstable; urgency=medium

  * New upstream release.
    <https://groups.google.com/forum/#!topic/redis-db/aXusvS8da8g>

 -- Chris Lamb <lamby@debian.org>  Mon, 18 Mar 2019 14:20:46 -0400
