=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.17.14),
  libhiredis-dev (>= 0.14.0),
  libjemalloc-dev [linux-any],
@@ -12,7 +12,7 @@
  lua-cjson-dev,
  procps <!nocheck>,
  tcl <!nocheck>,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://redis.io/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-redis.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-redis
